# $Revision: 1.3 $, $Date: 2004/03/01 15:25:41 $
Summary:	Falling block game resembling Blockout
Summary(pl):	Gra w spadajce klocki przypominajca Blockout
Name:		Shaaft
Version:	0.5.0
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/criticalmass/%{name}-%{version}.tar.bz2
# Source0-md5:	c86524f286c60e3fd45b10d023a92db2
Patch0:		%{name}-types.patch
URL:		http://criticalmass.sourceforge.net/shaaft.php
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautoreqdep   libGL.so.1 libGLU.so.1

%description
Shaaft is a falling block game resembling Blockout. It is a 3D Tetris
clone.

%description -l pl
Shaaft to gra w spadajce klocki przypominajca Blockout. To
trjwymiarowy klon Tetrisa.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__automake} --include-deps
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# this one gets installed by author's mistake
rm -f $RPM_BUILD_ROOT%{_bindir}/Packer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO.txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/Shaaft
%{_mandir}/man6/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Shaaft.spec,v $
Revision 1.3  2004/03/01 15:25:41  qboosh
- added types patch (fixes build on alpha)
- explicit ac/am rebuild instead of hidden in autogen.sh

Revision 1.2  2004/02/28 22:09:15  qboosh
- cleanup, BR: ac,am (for autogen)

Revision 1.1  2004/02/28 20:53:27  undefine
- initital version (by ytm)
